/* YaRock Player
* Copyright (C) 2010-2013 Sebastien amardeilh (sebastien.amardeilh+yarock@gmail.com)
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _GLOBALSHORTCUTS_H_
#define _GLOBALSHORTCUTS_H_

#include <QObject>
#include <QKeySequence>
#include <QMainWindow>
#include <QMap>

#include "qxtglobalshortcut.h"               // 0.0.53

/*
********************************************************************************
*                                                                              *
*    Class GlobalShortcuts                                                     *
*                                                                              *
********************************************************************************
*/
class GlobalShortcuts : public QObject 
{
Q_OBJECT

public:
  GlobalShortcuts(QMainWindow* mw);

public slots:
  void reloadSettings();

private slots:
  void incVolume();
  void decVolume();
  void muteVolume();

private:
  QMap<QString, QxtGlobalShortcut *> _shortcuts;
};

#endif // _GLOBALSHORTCUTS_H_
