/* YaRock Player
* Copyright (C) 2010-2013 Sebastien amardeilh (sebastien.amardeilh+yarock@gmail.com)
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _VIEW_MODE_H_
#define _VIEW_MODE_H_

namespace MAIN {
  
  enum ViewMode {
      ViewSettings          = 1,
      ViewDashBoard         = 2,
      ViewContext           = 3,
      ViewHistory           = 4,
      ViewAlbum             = 5,
      ViewArtist            = 6,
      ViewTrack             = 7,
      ViewGenre             = 8,
      ViewYear              = 9,
      ViewFavorite          = 10,
      ViewPlaylist          = 11,
      ViewSmartPlaylist     = 12,
      ViewIceCast           = 13,
      ViewShoutCast         = 14,
      ViewCustomRadio       = 15,
      ViewFavoriteRadio     = 16   
  };
  
  enum ViewAlbum_Type {
   album_grid     = 0,
   album_extended    
  };

  enum ViewPlaylist_Type {
   playlist_overview = 0,
   playlist_by_tracks   
  };
}

#endif // _VIEW_MODE_H_
